[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

Fwd: Updated get-deps.sh for new SQLite version in trunk, propagate to 1.7.x and 1.6.x if possible

From: Nico Kadel-Garcia <nkadel_at_gmail.com>
Date: Sat, 18 Aug 2012 08:41:42 -0400

[ Sent to users, should also go to dev, I think ].

I've noticed that the get-deps.sh tool has gotten a bit out of date. A
new version is attached, and has these upgrades:

* Pulls 3.7.13 version of SQLite, called
sqlite-autoconf-3071300.tar.gz instead of sqlite-amalgamation zip
file.
** configure.ac patched to match

It also has some additional changes which are not critical, but nice
to have, I think.

* Splits the logic of pulling apr and apr-util into two distinct
modules, rather than one unique double module
* Checks for error codes of unzipping tarballs before moving them into place
** This helps prevent problems with partial or interrupted downloads
creating broken source trees
* Check for error codes when doing "cd $TEMPDIR"
** Just in case anyone's working in the same directory behind your
back, it helps avoid spewing into your filesystem
* Change "the downloaded copy won't be used" to "do not download"
** Partly to avoid shell sensitive punctuation in error messages,
partly to shorten message

I've attached an "svn diff" file with the changes.

               Nico Kadel-Garcia <nkadel_at_gmail.com>

Received on 2012-08-18 14:42:13 CEST

This is an archived mail posted to the Subversion Dev mailing list.